uniform float t;
uniform vec3 c1;
uniform vec3 c2;
	
varying vec2 vUv;

varying vec3 N;
varying vec3 V;

float ease(float t) {
  return t * t * t;
}

void main() {
	float ratio = dot(V, N);
    vec3 c = mix(c1, c2, ease(ratio));

	gl_FragColor = vec4(c * 1.1, 1.0);
}